summaryrefslogtreecommitdiff
path: root/totsc/auto-totsc-installer.sh
diff options
context:
space:
mode:
Diffstat (limited to 'totsc/auto-totsc-installer.sh')
-rwxr-xr-xtotsc/auto-totsc-installer.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/totsc/auto-totsc-installer.sh b/totsc/auto-totsc-installer.sh
new file mode 100755
index 0000000..f82114a
--- /dev/null
+++ b/totsc/auto-totsc-installer.sh
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+source ../includes/generic-includes.sh
+source ../cd-includes.sh
+source ../patch-includes.sh
+source ../autoinstall-includes.sh
+
+parseargs "$@"
+
+echo "Checking CD version"
+CDMD5=$(md5sum $CDMOUNT/data1.cab|awk '{print $1}')
+
+case "$CDMD5" in
+ "e27d259ddc0171ff945dbba136e60309" )
+ FULLGAMENAME="Baldurs Gate Tales of the Sword Coast: 1CD UK version"
+ INSTALLSCRIPT=./install-totsc-1cd-uk.sh
+ OFFICIALPATCH=./install-totsc-patch-uk.sh
+ ;;
+ * )
+ echo "Unrecognised CD - please select Baldurs Gate version from menu"
+ # TODO: Add menu to show and select all known BG1 versions
+ exit 1
+ ;;
+esac
+
+echo "$FULLGAMENAME detected, installing"
+$INSTALLSCRIPT -i "$TARGETDIR" -c "$CDMOUNT" 1>/dev/null || diequietly
+if query "Do you want to install the official patch?" y; then
+ $OFFICIALPATCH -i "$TARGETDIR" -p "$PATCHDIR" 1>/dev/null || diequietly
+fi
+if query "Do you want to install the baldurdash fixes?" y; then
+ ./install-totsc-patch-baldurdash-fix.sh -i "$TARGETDIR" -p "$PATCHDIR" 1>/dev/null || diequietly
+ if [ "$LANGUAGE" = "English" ]; then
+ ./install-totsc-patch-baldurdash-text.sh -i "$TARGETDIR" -p "$PATCHDIR" 1>/dev/null || diequietly
+ fi
+fi
+if query "Do you want to remove unneeded windows files?" n; then
+ rm -f "$TARGETDIR"/*.exe
+ rm -f "$TARGETDIR"/*.url
+ rm -f "$TARGETDIR"/luaauto.cfg
+fi
+echo
+echo "$FULLGAMENAME installed successfully"